Subject: Re: [PATCH v3] push: Enhance unspecified push default warning

From: Matthieu Moy <[email-masked]>
Date: Thu, 07 Nov 2013 19:51:14 +0100

Junio C Hamano <[email-masked]> writes:

> Actually, to me, I found the "two sentences" the worst part in the
> original.  It made it sound as if the default will be switching to
> 'upstream', and all readers need to read the second sentence that
> clarifies that it is not the case, in a somewhat round-about
> way---"will only succeed if" invites "and otherwise...?"

To me, this is not an issue given the audience (people too lazy to read
the docs): for them, current == simple == upstream modulo details
they're not interested about. The safety measure of "simple" is actually
here to make sure nothing wrong happens if they make the confusion.

But that's just a preference, I'm OK with your other proposal too.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/